%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define pear_xmldir  /var/lib/pear

Name:           php-pear-channel-symfony2
Version:        1.0
Release:        %mkrel 8
Summary:        Adds pear.symfony.com channel to PEAR
Group:          System/Libraries
License:        MIT
URL:            http://pear.symfony.com/
Source0:        http://pear.symfony.com/channel.xml
BuildArch:      noarch
BuildRequires:  php-pear
Requires(pre):	php-pear
Obsoletes:	php-pear-channel-symfony



%description
This package adds the pear.symfony-project.com channel which allows PEAR packages
from this channel to be installed.


%prep
%setup -q -c -T


%build
# Empty build section, nothing to build


%install

%{__mkdir_p} %{buildroot}%{pear_xmldir}
%{__install} -pm 644 %{SOURCE0} %{buildroot}%{pear_xmldir}//pear.symfony.com.xml


%post

if [ $1 -gt  1 ] ; then
   pear channel-update %{pear_xmldir}/pear.symfony.com.xml
else
   pear channel-add %{pear_xmldir}/pear.symfony.com.xml
fi


%preun

if [ $1 -eq 0 ] ; then
   pear channel-delete pear.symfony.com > /dev/null || :
fi


%files
%{pear_xmldir}/pear.symfony.com.xml






%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0-8.mga8
+ Revision: 1498656
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0-7.mga7
+ Revision: 1273064
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0-6.mga6
+ Revision: 944573
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0-5.mga5
+ Revision: 745479
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-4.mga5
+ Revision: 687536
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.0-3.mga4
+ Revision: 545234
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 spuhler <spuhler> 1.0-2.mga4
+ Revision: 500945
- added Obsoletes: php-pear-channel-symfony
  * this version isn't needed anymore

* Tue Jun 04 2013 spuhler <spuhler> 1.0-1.mga4
+ Revision: 436876
- imported package php-pear-channel-symfony2

